ATA_BMDMA_SETUP(9)

NAME
ata_bmdma_setup - Set up PCI IDE BMDMA transaction

SYNOPSIS

void ata_bmdma_setup (struct ata_queued_cmd * qc);

ARGUMENTS

qc  Info associated with this ATA transaction.

DESCRIPTION

Writes address of PRD table to device's PRD Table Address register, sets the DMA control register, and calls ops->exec_command to start the transfer.

May be used as the bmdma_setup entry in ata_port_operations.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.